Subject: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Dmitrii Kuragin <[email-masked]>
Date: Wed, 31 Aug 2022 07:12:30 -0700

On Wed, Aug 31, 2022 at 4:55 AM Gerd Möllmann <[email-masked]>
wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> >> From: Gerd Möllmann <[email-masked]>
> >> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> >> Date: Wed, 31 Aug 2022 09:02:07 +0200
> >>
> >> "Good news":
> >
> > Indeed.
> >
> >> $TERM seems to be "alacritty" by default, which has different
> >> capabilities than xterm-256color.  But the flickering is also there with
> >> xterm-256color.
> >>
> >> And I double-checked with Terminal.app again: no flickering.
> >
> > When you run with Terminal.app, does the code identified by Dmitrii as
> > responsible for the flickering (in scroll.c) get executed?
>
> I haven't checked yet.  But...
>
> Dmitrii, could you please check if something changes when you set
> baud-rate?  I can't see flickering in alacritty, when I
>
> (setq baud-rate 1000000)
>

I do not know what it does, but it does help.

I mean, it fixes the problem with flickering completely.

Could you please elaborate a bit more about possible consequences of that?

> but it's kind of hard to reproduce anyway for me.
>

-- 
*If you get an email from me outside of the 9-5 it is *not* because I'm
always on or expect an immediate response from you; it is because of work
flexibility
<http://www.inc.com/john-boitnott/how-flexible-hours-can-create-a-better-work-life-balance.html>
.  Evening and weekend emails are a sign I allocated some regular working
hours for other things (such as family, gym, friends,...).  And I encourage
you to feel free to do the same.